<?php

namespace EventPortal\Domain\Speaker\Models;

use EventPortal\Domain\Address\Models\Address;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphOne;

class Speaker extends Model
{
    protected $fillable = [
        'first_name',
        'last_name',
        'profession',
        'email',
        'telephone_number',
    ];

    public function address(): MorphOne
    {
        return $this->morphOne(Address::class, 'addressable');
    }

    public function getNameAttribute(): string
    {
        return $this->first_name . ' ' . $this->last_name;
    }
}
