<?php

namespace EventPortal\Http\Controllers;

use EventPortal\Domain\User\Models\User;
use Faker\Factory;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Str;
use Illuminate\View\View;

class CreateAccountController extends Controller
{
    public function create(): View
    {
        return view('EventPortal::create-account');
    }

    public function store(): RedirectResponse
    {
        User::create([
            'email' => request()->email ?? Factory::create()->safeEmail,
            'password_token' => Str::uuid(),
        ]);

        return redirect('/');
    }
}
