<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Domain\Team\Models\Team;
use EventPortal\Enums\InertiaMethod;

Table::make('team.index')
    ->addAvailableColumns(static function () {
        return [
            Text::make('Name')->name('name'),
        ];
    })
    ->addRowAction(static function (Team $team) {
        return ButtonDropdown::make('Manage team')
            ->actions([
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.team.edit', ['team' => $team]),
            ]);
    });
